ReferenceProduct
Get a product attachment
Returns one attachment including its file contents. Requires `Permissions.Product.View`.
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
productId*integerFormat
int32Default
0attachmentId*integerFormat
int32Default
0application/json- response
A product attachment together with its file contents.
fileData?stringfileName?stringid?integerFormat
int32pathToFile?stringcurl -X GET 'https://<your-instance>/api/products/0/attachment/0' \ -H 'Authorization: Bearer <access-token>'{ "fileData": "string", "fileName": "string", "id": 0, "pathToFile": "string"}